---
title: Uncovering a new hobby that might just take over my entire house
date: "2023-02-14"
template: "post"
category: "blog"
tags:
  - "Lego"
  - "house"
description: "What started as a simple decoration piece to fill some empty space in my home quickly grew into a new hobby of which the remnants can be found throughout my house"
socialImage: /media/building-the-owl.jpg
---

## The problem

Even though my house is fully furnished, one could say it's quite light on decorations. You see, I'm not really one for many of the popular decoration pieces like candles, picture frames, animal skins, or decorative statues.

The only thing I really like is stone and woodwork. This means that I have enough decorations to fill the downstairs, kind off.
You see, some of the decorations that I also like are plants (mainly because they go in large stone pots) but I'm not great at keeping them alive.

(Un)fortunately, there is more to my house than just the downstairs. There are 2 more floors that are, once again, furnished but not really decorated.
The only room that is pretty well decorated is my office, which has various little nerdy things on little black shelves and 12 beautiful Displates.

One of the main problem areas is my bedroom. I don't have any entertainment in my bedroom (by choice.. it's a place to sleep, not watch telly!) but I do have some [FJallbo](https://www.ikea.com/gb/en/p/fjaellbo-shelving-unit-black-70339291/) shelving units.
Of course, those shelves are mostly empty... they are only adorned by some books, clothes and a few stuffed animals.

## The solution, or so I thought

<figure class="float-right" style="width: 240px">
 <img src="/media/orchids.jpg" alt="Lego orchids on a wooden table">
 <figcaption>Pretty little orchids!</figcaption>
</figure>

I don't know when exactly it happened but a few months ago I stumbled across "Lego plants" on Youtube. Plants that look quite good and don't die.
The first plant I got was the little bonsai and the second one were the orchids.
After that, I quickly picked up the cacti and bouquet.

And as you can probably figure out by now... a new hobby was born... Lego.
Lego allows me to fill up the empty space with whatever I want whilst keeping things interesting and giving me something to do to boot.

## Christmas time's a coming

After building a few smaller items I felt ready to tackle a "project", one that would allow me to play with Legos and at the same time get a few friends and family members off my back about not having Christmas decorations.
That's right. I set out to build a Christmas village from lego.

I emptied a shelf, picked up some [white base plates](https://www.lego.com/en-us/product/white-baseplate-11010), procured a string of small Christmas lights, and bought some Christmassy-looking Lego sets:

- [Holiday main street](https://www.lego.com/en-us/product/holiday-main-street-10308)
- [Santa's sleigh](https://www.lego.com/en-nl/product/santa-s-sleigh-40499)
- [Santa's visit](https://www.lego.com/en-nl/product/santa-s-visit-10293)
- [Winter elve's scene](https://www.lego.com/en-nl/product/winter-elves-scene-40564)
- [Winter polar bears](https://www.lego.com/en-us/product/wintertime-polar-bears-40571)
- [Santa's workshop](https://www.lego.com/en-nl/product/santa-s-workshop-40565?CMP=AFC-AffiliateUK-lFWN%2FyX1zOg-3425491-124738-1)

The result of a few days of work and the Christmas village has been completed:

!["A bookcase shelf filled with Lego Christmas builds"](/media/christmas.jpg "Happy little Christmas village")

## A new room to build Lego

Now that the Lego virus has taken hold of me I am quickly growing tired of needing to move stuff off my dining table just to build some Legos.
Likewise, I dislike having to move half-finished Lego builds just to use my dining table.
It was time to upgrade my spare bedroom with a desk and some other things to build a comfortable space.

I bought the following items:

- [3x Alex drawers](https://www.ikea.com/gb/en/p/alex-drawer-unit-white-00473546/)
- [2x Karlby countertop](https://www.ikea.com/gb/en/p/karlby-worktop-walnut-veneer-30335191/)
- [1x Nissafors trolley](https://www.ikea.com/gb/en/p/nissafors-trolley-black-20399777/)
- [1x fniss waste bucket](https://www.ikea.com/gb/en/p/fniss-waste-bin-black-60295438/)
- [2x SKÅDIS pegboard](https://www.ikea.com/gb/en/p/skadis-pegboard-black-50534378/)
  - [5x SKÅDIS planks](https://www.ikea.com/gb/en/p/skadis-shelf-white-00320799/)
  - [3x SKÅDIS cup](https://www.ikea.com/gb/en/p/skadis-container-white-20320798/)
  - [5x SKÅDIS hooks](https://www.ikea.com/gb/en/p/skadis-hook-white-20320802/)
  - [1x SKÅDIS storage baskets](https://www.ikea.com/gb/en/p/skadis-storage-basket-set-of-3-white-50517760/)
  - [2x SKÅDIS containers with lid](https://www.ikea.com/gb/en/p/skadis-container-with-lid-white-80335909/)

Which, with some effort, got turned into the following room:

![Dark walnut L-shaped corner desk with 3 white drawers holding it up](/media/room-just-built.jpg "First build of the room, no display or audio yet")
![Black trolley with 3 shelves filled with Lego boxes](/media/trolly.jpg "A little trolley to hold the new Lego sets")
![A monitor arm is placed on the worktop and now holds a nice 27-inch monitor.](/media/adding-a-monitor.jpg "I added a monitor so I could watch some series or listen to music.")
![A JBL boombox placed under the monitor with the cable hidden out-of-sight](/media/cable-box-and-speaker.jpg "Sound from just the monitor won't do so I added a nice JBL speaker")
![The finished room is in use, bags of Lego are scattered over the worktop and the Lego build itself is starting to take some form](/media/building-the-owl.jpg "the finished room in use, building the Harry Potter special edition owl")

The space I've created with this Ikea build works very well for building Legos!
The mounted desk light (which I got from Amazon) has also proven to be quite handy. I can move the light however I like, be it to shed some more light on the
little booklet with instructions or on the build itself to illuminate some of the darker pieces at night. (brown/black)
Turning on both lights (there's one hidden behind the monitor/speaker) ensures that there's enough light in the room that I don't have to turn on the main light
which makes the room feel nice and cozy.

## More of my creations

I'd like to round off this blog post by showing some of the other builds I've since completed:

![Saturn V from lego](/media/rocket.jpeg "Saturn V")
!["Harry Potter's owl Hedwig perched on some books"](/media/owl.jpeg "Shout out to Hedwig! (and Ravenclaw)")
!["A flower bouquet in a clear vase"](/media/bouquet.jpg "The desk felt a bit empty so I added some flowers to spice things up")
![Two of the succulents in decorative pots with some shelves](/media/flower-pots.jpg "Two of the succulents in decorative pots with some shells")
